@import './variables';

@keyframes fade-in {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

$base-color: rgba(221, 221, 221, 0.863);
$ghost-color: #ecebebf1;
$animation-duration: 1000ms;

@mixin background-gradient {
  background-image: linear-gradient(90deg, $base-color 0px, $ghost-color 40px, $base-color 80px);
  background-size: 80vw;
}

@keyframes ghost-lines {
  0% {
    background-position: -100px;
  }
  40% {
    background-position: 40vw;
  }
  100% {
    background-position: 60vw;
  }
}

@mixin animate-ghost-line {
  @include background-gradient;
  animation: ghost-lines $animation-duration infinite linear;
}
